Bug 146766 - CAN-2005-0201 dbus information leak
CAN-2005-0201 dbus information leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dbus (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
impact=low,public=20050131,source=redhat
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 09:49 EST by Josh Bressers
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 11:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from upstream makes the bus only allow messages if sent from the session's uid (1.16 KB, patch)
2005-02-01 13:47 EST, John (J5) Palmieri
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-02-01 09:49:17 EST
*** This bug has been split off bug 146765 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.01
09:47 -------

This text was stolen from the freedesktop bugzilla
https://bugs.freedesktop.org/show_bug.cgi?id=2436


If I login as root and create a session bus, then login as another user, I am
able to use dbus-send to connect to root's session bus.

To reproduce:
Login as root, open a terminal, echo $DBUS_SESSION_BUS_ADDRESS, write down the
address.
Run dbus-monitor --session

Login as another user on a console, run:
env DBUS_SESSION_BUS_ADDRESS=(address written down above) dbus-send
--dest=org.freedesktop.DBus --type=method_call --print-reply
/org/freedesktop/DBus org.freedesktop.DBus.ListServices

The dbus-send gives a message about not being able to print the return value,
and the dbus-monitor on root's session bus shows the ListServices request coming
through.

A patch exists in the upstream bugzilla.
Comment 1 John (J5) Palmieri 2005-02-01 13:47:55 EST
Created attachment 110510 [details]
Patch from upstream makes the bus only allow messages if sent from the session's uid
Comment 2 Tim Powers 2005-06-08 11:00:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-102.html

Note You need to log in before you can comment on or make changes to this bug.